Index: src/backend/postmaster/autovacuum.c
===================================================================
RCS file: /home/sriggs/pg/REPOSITORY/pgsql/src/backend/postmaster/autovacuum.c,v
retrieving revision 1.71.2.5
diff -c -r1.71.2.5 autovacuum.c
*** src/backend/postmaster/autovacuum.c	21 Jul 2008 15:27:08 -0000	1.71.2.5
--- src/backend/postmaster/autovacuum.c	22 Jul 2008 19:05:05 -0000
***************
*** 2655,2669 ****
  	char	   *relname = get_rel_name(relid);
  	char	   *nspname = get_namespace_name(get_rel_namespace(relid));
  
! #define MAX_AUTOVAC_ACTIV_LEN (NAMEDATALEN * 2 + 32)
  	char		activity[MAX_AUTOVAC_ACTIV_LEN];
  
  	/* Report the command and possible options */
  	if (vacstmt->vacuum)
  		snprintf(activity, MAX_AUTOVAC_ACTIV_LEN,
! 				 "autovacuum: VACUUM%s%s",
! 				 vacstmt->analyze ? " ANALYZE" : "",
! 				 for_wraparound ? " (to prevent wraparound)" : "");
  	else
  		snprintf(activity, MAX_AUTOVAC_ACTIV_LEN,
  				 "autovacuum: ANALYZE");
--- 2655,2668 ----
  	char	   *relname = get_rel_name(relid);
  	char	   *nspname = get_namespace_name(get_rel_namespace(relid));
  
! #define MAX_AUTOVAC_ACTIV_LEN (NAMEDATALEN * 2 + 56)
  	char		activity[MAX_AUTOVAC_ACTIV_LEN];
  
  	/* Report the command and possible options */
  	if (vacstmt->vacuum)
  		snprintf(activity, MAX_AUTOVAC_ACTIV_LEN,
! 				 "autovacuum: VACUUM%s",
! 				 vacstmt->analyze ? " ANALYZE" : "");
  	else
  		snprintf(activity, MAX_AUTOVAC_ACTIV_LEN,
  				 "autovacuum: ANALYZE");
***************
*** 2680,2686 ****
  		int			len = strlen(activity);
  
  		snprintf(activity + len, MAX_AUTOVAC_ACTIV_LEN - len,
! 				 " %s.%s", nspname, relname);
  	}
  
  	/* Set statement_timestamp() to current time for pg_stat_activity */
--- 2679,2686 ----
  		int			len = strlen(activity);
  
  		snprintf(activity + len, MAX_AUTOVAC_ACTIV_LEN - len,
! 				 " %s.%s%s", nspname, relname,
! 				 for_wraparound ? " (to prevent wraparound)" : "");
  	}
  
  	/* Set statement_timestamp() to current time for pg_stat_activity */
